uniform mat4 Proj, View;

uniform vec3 EyePos;

uniform float OcclusionRadius;

uniform vec3 Pos;
uniform float Rad;

void main()
{
	vec4 worldPos = vec4(Pos, 1);
	vec4 viewPos = (View * worldPos) + vec4(gl_Vertex.xy * (Rad + OcclusionRadius) * 1.4, 0, 0);
	
	gl_Position = Proj * viewPos;
}
